
Redmine - Defect #16451

Incomprehensible number of issues returned from REST API (issues.json)

2014-03-28 06:17 - TipTop Labs

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I am looking at a public Redmine project at http://www.hostedredmine.com/projects/hosted-redmine/roadmap

It currently lists 2 versions and 59 + 77 = 156 issues.

When I query issues at http://www.hostedredmine.com/projects/hosted-redmine/issues.json I get only 32 (i.e. total_count with limit

25) and it is unclear to me how the selection is made.

Is this a feature or a bug? How can one retrieve all issues in a project with multiple versions?

History

#1 - 2014-03-28 11:51 - Wim DePreter

The issue-query returns (by default) only open issues.

If you want all issues, use http://www.hostedredmine.com/projects/hosted-redmine/issues.json?status_id=*

Total_count = 255, still different from roadmap, because roadmap only returns issues with a target version

#2 - 2014-03-28 12:31 - TipTop Labs

- Status changed from New to Resolved

Thanks, that solves my problem.

#3 - 2014-03-29 15:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

#4 - 2022-05-20 11:15 - Henrietta  Abbott

You may not be able to rotate a PDF online within service. To rotate a PDF you will need to download it and open the document in software that

supports PDFs, like Adobe Acrobat Reader. Check out this cool website for further instructions on how to rotate a PDF.
